运维开发网

双11过了,继续打怪“升级”

运维开发网 https://www.qedev.com 2020-02-23 18:54 出处:51CTO 作者:eflypro小普
光棍节刚过了,不对,这已经不是单身贵族的专利了,应该是购物狂欢节了,相信诸位的购物车货物陆续到货,但是银行卡各种欠款。是时候,又要努力工作,为下一年做好准备了,升级好各种装备为明年再战。听说今年双11销售额为3000亿元,已直逼黑色星期五,没有一个优秀的服务器计算能力这3000亿都不知道如何计算,所以说阿里巴巴,每年都在考验,每年都在进步。当然我们也紧跟巨人的步伐,linux操作系统是目前互联网最

光棍节刚过了,不对,这已经不是单身贵族的专利了,应该是购物狂欢节了,相信诸位的购物车货物陆续到货,但是银行卡各种欠款。是时候,又要努力工作,为下一年做好准备了,升级好各种装备为明年再战。

听说今年双11销售额为3000亿元,已直逼黑色星期五,没有一个优秀的服务器计算能力这3000亿都不知道如何计算,所以说阿里巴巴,每年都在考验,每年都在进步。当然我们也紧跟巨人的步伐,Linux操作系统是目前互联网最高性价比的系统:免费、高并发、多用户等等,基本上是现在部署服务的首选,但是kernel 是Linux最核心的部件,但它也是一个不断优化,打补丁的产品,现在kernel已经去到4.20.X了,你的Linux还在2.6.X吗?

双11过了,继续打怪“升级”

 

低版本的kernel有不少漏洞,也缺少新版本的特性,通常你是否常想:我不想重装系统,因为我的数据、平台在旧平台运行的好好的,但是不得不面对一个事实-低版本漏洞随时会被利用,破坏或***系统数据。

所以升级kernel是必须的,但是升级kernel有时候会升级失败,用户通常都非常困惑,睿江云特别心疼我们的用户,也做了大量的测试,整理出日常使用的版本升级情况。

 

注意:有人会说我在物理设备可以yum update成功,为什么云主机不行?原因:虚拟化层的驱动/模块没有在yum update被安装。

 

睿江云对目前存在的操作系统版,做了一下统计:概括-使用4.4.X的内核即可

双11过了,继续打怪“升级”

 

下面我们教大家如何升级:

#步骤1:安装最新的https支持;

yum -y update nss

yum -y install openssl

yum -y install glibc

#步骤2:使用elrepo第3方的yum 源

rpm --import https://www.elrepo.org/RPM-GPG-KEY-elrepo.org

rpm -Uvh http://www.elrepo.org/elrepo-release-6-8.el6.elrepo.noarch.rpm

#步骤3:安装升级内核 kernel需要的支持环境

yum -y install gcc  --enablerepo=elrepo

yum -y install libgcc*  --enablerepo=elrepo

yum -y groupinstall "Development Tools" --enablerepo=elrepo

yum -y install ncurses-devel  --enablerepo=elrepo

yum -y install hmaccalc zlib-devel binutils-devel elfutils-libelf-devel --enablerepo=elrepo

#步骤4:开始升级了,我们要安装kernel-lt长期支持版本,不是kernel版本。lt=long term

yum repolist

yum install -y dracut --enablerepo=elrepo

yum install -y dracut-kernel --enablerepo=elrepo

yum --enablerepo=elrepo-kernel install kernel-lt -y

yum --enablerepo=elrepo-kernel  update -y

yum --enablerepo=elrepo upgrade

yum install xe-guest-utilities-xenstore.x86_64 -y

 

#步骤5:修改grub选择 4.4.X的内核才行(不然你选择错了,系统又起不来)

 

升级后,是不是觉得系统快快的?还没升级的赶紧升级体验吧。最近睿江云还搞活动,你随时可以购买云主机练练手。

双11过了,继续打怪“升级”

 

 

0

精彩评论

暂无评论...
验证码 换一张
取 消